### Type parameters

- #### T

### Hierarchy

- WriteRequest<T, PutItemInput, PutRequest<T>>
  - PutRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- logger
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- ifNotExists
- onlyIf
- onlyIfAttribute
- returnConsumedCapacity
- returnItemCollectionMetrics
- returnValues

## Constructors

### constructor

- new PutRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>, item: T): PutRequest

- Overrides WriteRequest.constructor

  - Defined in dynamo/request/put/put.request.ts:12

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  - ##### item: T

  #### Returns PutRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:28

### Private logger

logger: Logger

- Defined in dynamo/request/put/put.request.ts:12

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: PutItemInput

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

## Methods

### exec

- exec(): Observable<void>

- Inherited from WriteRequest.exec

  Overrides StandardRequest.exec

  - Defined in dynamo/request/write.request.ts:54

  #### Returns Observable<void>

### execFullResponse

- execFullResponse(): Observable<PutItemOutput>

- Overrides StandardRequest.execFullResponse

  - Defined in dynamo/request/put/put.request.ts:31

  #### Returns Observable<PutItemOutput>

### ifNotExists

- ifNotExists(predicate?: boolean): PutRequest<T>

- - Defined in dynamo/request/put/put.request.ts:24

  Adds a condition expression to the request, which makes sure the item will only be saved if the id does not exist

  #### Parameters

  - ##### Default value predicate: boolean = true

  #### Returns PutRequest<T>

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): PutRequest<T>

- Inherited from WriteRequest.onlyIf

  - Defined in dynamo/request/write.request.ts:39
  example

    writeRequest.onlyIf( attribute('age').eq(23) )

  example

    writeRequest.onlyIf( or( attribute('age').lt(18), attribute('age').gt(65) ) )

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns PutRequest<T>

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<PutRequest<T>, T, K>

- Inherited from WriteRequest.onlyIfAttribute

  - Defined in dynamo/request/write.request.ts:30

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<PutRequest<T>, T, K>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): PutRequest<T>

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns PutRequest<T>

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics): PutRequest<T>

- Inherited from WriteRequest.returnItemCollectionMetrics

  - Defined in dynamo/request/write.request.ts:25

  #### Parameters

  - ##### returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics

  #### Returns PutRequest<T>

### returnValues

- returnValues(returnValues: "NONE" | "ALL_OLD"): PutRequest<T>

- Inherited from WriteRequest.returnValues

  - Defined in dynamo/request/write.request.ts:49

  #### Parameters

  - ##### returnValues: "NONE" | "ALL_OLD"

  #### Returns PutRequest<T>

Generated using TypeDoc